cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Joseph <pjos...@gmail.com>
Subject Re: problem with this line?
Date Mon, 23 Feb 2009 23:16:26 GMT
Ok, I removed the end brackets from line 8 of Request.js.  It used to be:
var encoder = new 
Packages.org.apache.cocoon.ojb.samples.bean.PasswordEncoder();

After removing the end brackets it now is:
var encoder = new 
Packages.org.apache.cocoon.ojb.samples.bean.PasswordEncoder;

I get this error with Cocoon 2.1.11 (used to be fine with 2.1.7):
org.mozilla.javascript.EcmaError: TypeError: [JavaPackage 
org.apache.cocoon.ojb.samples.bean.PasswordEncoder] is not a function, 
it is org.mozilla.javascript.NativeJavaPackage. (file:///C:/Program 
Files/Apache Software Foundation/Tomcat 
5.5/webapps/webapp/webtask/request/Request.js#8)

Any ideas anyone?

thx
Paul
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message